Identity Governance fails after upgrade from 14.0.1 to 14.2.0

Document ID : KB000113429
Last Modified Date : 11/09/2018
Show Technical Document Details
Issue:
After upgrading to Identity Governance 14.2.0 an error occurs when accessing the universe. 

For more information, view the log file.
com.eurekify.dto.UniverseVO.getConfRolesTypesField()Ljava/lang/String;

and the wrong version information is displayed in the logs.
Environment:
Identity Governance upgrade from 14.0.1 to 14.2.0
Cause:
The installer should remove the previous versions of the files and it is not clear why this was not done. 
Resolution:
Cleaning the eurekify.war/WEB-INF/lib from any remnants of 14.0.1 jar files addresses this issue.